import { multiaddr } from "@multiformats/multiaddr";
import { peerIdFromString } from "@libp2p/peer-id";
class Libp2pRequest {
    constructor(requestString) {
        const match = requestString.match(/^libp2p:\/\/(.*?)(\/[^\/]+)?$/);
        if (!match) {
            throw new Error('Invalid Libp2p Request String');
        }
        const strTarget = match[1];
        this.protocol = match[2] || '';
        try {
            this.target = peerIdFromString(strTarget);
        }
        catch (e) {
            try {
                this.target = multiaddr('/' + strTarget);
            }
            catch (e) {
                throw new Error('Target is neither a valid PeerId nor a valid Multiaddress');
            }
        }
    }
    getComponents() {
        return {
            target: this.target,
            protocol: this.protocol,
        };
    }
}
export default Libp2pRequest;
//# sourceMappingURL=Libp2pRequest.js.map